-- GovernmentOverviewGlobals.lua
-- Author: sman
-- DateCreated: 07/11/18 9:28:14 AM
--------------------------------------------------------------

g_bDebugPrint = false																		-- Determines whether to print data to the LUA Console/Lua.log file
g_MinimumGovernmentAge = 20																	-- Minimum age a government can be before changing (in game turns)
g_iCostCoefficient = 2																		-- Used to determine how expensive gov change will be (in culture and gold)
g_tSavedData = Modding.OpenSaveData()														-- Stores age of government from save game area													

STAT_SCORE = 1
STAT_POPULATION = 2
STAT_MIL_POWER = 3
STAT_LITERACY = 4

g_tStatsTable = { }

GOV_ANARCHY = 1
GOV_DESPOTISM = 2
GOV_OLIGARCHY = 3
GOV_DEMOCRACY = 4
GOV_THEOCRACY = 5
GOV_MONARCHY = 6
GOV_REPUBLIC = 7
GOV_CONSTITUTIONAL_MONARCHY = 8
GOV_COMMUNISIM = 9
GOV_FASCISM = 10
GOV_CORPORATE_REPUBLIC = 11
GOV_TECHNOCRACY = 12
GOV_UNKNOWN = 16
GOV_OUT_OF_GAME = 99

-- =================== 	 Government Type		  Text Desc.		Cost				Corresponding Dummy Building				Text Key for Help								Allowed Ideologies		Assoc. Promotions							Social Policy Rqd.
g_tGovernment_Types	= {	[GOV_ANARCHY] =			{ "Anarchy",		1,					"BUILDINGCLASS_PALACE",						"TXT_KEY_GOV_OV_GOVERNMENT_ANARCHY",			"AFNO",					"",											"" },
						[GOV_DESPOTISM] =		{ "Despotism",		20,					"BUILDING_WAW_GOVERNMENT_DESPOTISM",		"TXT_KEY_GOV_OV_GOVERNMENT_DESPOTISM",			"A-NO",					"PROMOTION_NATGOV_DESPOTISM",				"" },
						[GOV_OLIGARCHY] =		{ "Oligarchy",		20,					"BUILDING_WAW_GOVERNMENT_OLIGARCHY",		"TXT_KEY_GOV_OV_GOVERNMENT_OLIGARCHY",			"-FNO",					"PROMOTION_NATGOV_OLIGARCHY",				"POLICY_OLIGARCHY" },
						[GOV_DEMOCRACY] =		{ "Democracy",		20,					"BUILDING_WAW_GOVERNMENT_DEMOCRACY",		"TXT_KEY_GOV_OV_GOVERNMENT_DEMOCRACY",			"-FN-",					"PROMOTION_NATGOV_DEMOCRACY",				"" },
						[GOV_THEOCRACY] =		{ "Theocracy",		22,					"BUILDING_WAW_GOVERNMENT_THEOCRACY",		"TXT_KEY_GOV_OV_GOVERNMENT_THEOCRACY",			"A-N-",					"PROMOTION_NATGOV_THEOCRACY",				"POLICY_THEOCRACY" },
						[GOV_MONARCHY] =		{ "Monarchy",		22,					"BUILDING_WAW_GOVERNMENT_MONARCHY",			"TXT_KEY_GOV_OV_GOVERNMENT_MONARCHY",			"AFNO",					"PROMOTION_NATGOV_MONARCHY",				"POLICY_MONARCHY" },						
						[GOV_REPUBLIC] =		{ "Republic",		25,					"BUILDING_WAW_GOVERNMENT_REPUBLIC",			"TXT_KEY_GOV_OV_GOVERNMENT_REPUBLIC",			"-FN-",					"PROMOTION_NATGOV_REPUBLIC",				"POLICY_REPUBLIC" },
						[GOV_CONSTITUTIONAL_MONARCHY] =		{ "Constitutional Monarchy", 25,	"BUILDING_WAW_GOVERNMENT_CONSTITUTIONAL_MONARCHY",	"TXT_KEY_GOV_OV_GOVERNMENT_CONST_MONARCHY",		"-FNO",	"PROMOTION_NATGOV_CON_MONARCHY",			"" },
						[GOV_COMMUNISIM] =		{ "Communism",		30,					"BUILDING_WAW_GOVERNMENT_COMMUNISM",		"TXT_KEY_GOV_OV_GOVERNMENT_COMMUNISM",			"A--O",					"PROMOTION_NATGOV_COMMUNISM",				"" },
						[GOV_FASCISM] =			{ "Fascism",		30,					"BUILDING_WAW_GOVERNMENT_FASCISM",			"TXT_KEY_GOV_OV_GOVERNMENT_FASCISM",			"A---",					"PROMOTION_NATGOV_FASCISM",					"" },
						[GOV_CORPORATE_REPUBLIC] = { "Corporate Republic",	32,			"BUILDING_WAW_GOVERNMENT_CORPORATE_REPUBLIC",	"TXT_KEY_GOV_OV_GOVERNMENT_CORP_REPUBLIC",	"AF-O",					"PROMOTION_NATGOV_CORPORATE_REPUBLIC",		"" },
						[GOV_TECHNOCRACY] =		{ "Technocracy",	32,					"BUILDING_WAW_GOVERNMENT_TECHNOCRACY",		"TXT_KEY_GOV_OV_GOVERNMENT_TECHNOCRACY",		"AF-O",					"PROMOTION_NATGOV_TECHNOCRACY",				"" },
						[GOV_UNKNOWN] =			{ "Unknown",		1,			-1,													"TXT_KEY_GOV_OV_GOVERNMENT_UNKNOWN",			"AF-O",					"",											"" },
						[GOV_OUT_OF_GAME] =		{ "Out of Game",	1,			-2,													"TXT_KEY_GOV_OV_GOVERNMENT_OUT_OF_GAME",		"AF-O",					"",											"" } }


GOV_CD_UNKNOWN = 1
GOV_CD_UNMET = 2
GOV_CD_INTRODUCTORY = 3
GOV_CD_BASIC = 4
GOV_CD_FUNCTIONAL = 5
GOV_CD_ADVANCED = 6
GOV_CD_FLUENT = 7
GOV_CD_NATIVE = 8

-- =================== 	 Civ Disc. Type			  Text Title		Text Desc.																Probability Adjustment	
g_tCiv_Discernment	= {	[GOV_CD_UNKNOWN] =		{ "Unknown",		"You have no relationship with this civilization",						0 },	
						[GOV_CD_UNMET] =		{ "Unmet",			"You have not met this civilization",									0 },		
						[GOV_CD_INTRODUCTORY] =	{ "Introductory",	"You have met this civilization",										0 },
						[GOV_CD_BASIC] =		{ "Basic",			"You have an embassy with this civilization",							0 },	
						[GOV_CD_FUNCTIONAL] =	{ "Functional",		"You have a [ICON_SPY] Spy in one of their cities",						0 },	
						[GOV_CD_ADVANCED] =		{ "Advanced",		"You have a [ICON_SPY] Spy in their [ICON_CAPITAL] Capital",			.33 },
						[GOV_CD_FLUENT] =		{ "Fluent",			"You have a [ICON_DIPLOMAT] Diplomat in their [ICON_CAPITAL] Capital",	.15 },	
						[GOV_CD_NATIVE] =		{ "Native",			"You are a team member with this civilization",							0 } }


GOV_CD_ASSESS_UNKNOWN = 1
GOV_CD_ASSESS_INFERIOR = 3
GOV_CD_ASSESS_PARITY = 4
GOV_CD_ASSESS_SUPERIOR = 5

g_tCivDiscAssessment = {	[GOV_CD_ASSESS_UNKNOWN] =	{ "  ?" },							
							[GOV_CD_ASSESS_INFERIOR] =	{ "Inferior" },	
							[GOV_CD_ASSESS_PARITY] =	{ "Parity" },		
							[GOV_CD_ASSESS_SUPERIOR] =	{ "Superior" } }


GOV_CD_QUALIFIER_UNKNOWN = 1
GOV_CD_QUALIFIER_ESTIMATE = 2
GOV_CD_QUALIFIER_ABOUT = 3
GOV_CD_QUALIFIER_ROUGHLY = 4
GOV_CD_QUALIFIER_VASTLY = 5
GOV_CD_QUALIFIER_DRASTICALLLY = 6

g_tCivDiscQualifier = {		[GOV_CD_QUALIFIER_UNKNOWN] =		{ "" },	
							[GOV_CD_QUALIFIER_ESTIMATE] =		{ "Est." },	
							[GOV_CD_QUALIFIER_ABOUT] =			{ "" },	
							[GOV_CD_QUALIFIER_ROUGHLY] =		{ "Roughly " },		
							[GOV_CD_QUALIFIER_VASTLY] =			{ "Vastly " },
							[GOV_CD_QUALIFIER_DRASTICALLLY] =	{ "Drastically " } }


GOV_INTEL_QUALITY = {	[GOV_CD_UNKNOWN] = "Unknown",	
						[GOV_CD_UNMET] = "Unmet",	
						[GOV_CD_INTRODUCTORY] = "Rumors",	
						[GOV_CD_BASIC] = "Estimated",		
						[GOV_CD_FUNCTIONAL] = "Reliable",	
						[GOV_CD_ADVANCED] = "Highly Reliable",
						[GOV_CD_FLUENT] = "Near-Certainty",
						[GOV_CD_NATIVE] = "Certainty"	}



