-- GovernmentOverviewManageSaveTable()
-- Author: sman
-- DateCreated: 07/09/18 12:02:49 PM
--------------------------------------------------------------

function InitializeGovernmentTable()														-- Gets gov building game turn creation from game's SavedData
	if (iGOV_Table_Built == nil) then														-- No saved table exists - populate it with default valuesa
		print("Building Governments Age table...")
		iStartingGameTurn = Game.GetStartTurn() or 1

		for iDX = 0, GameDefines.MAX_MAJOR_CIVS - 1, 1 do
			local pPlayer = Players[iDX];
			if pPlayer ~= nil then					
				local iGovType = GetGovernmentType(pPlayer)									-- Default to "Anarchy" for major/live civs	
				local sCivDBKey = string.format("GOV_OV_GOV_AGE_PLAYER_%02i", pPlayer:GetID())
				local iCivGovAge = g_tSavedData.GetValue(sCivDBKey) or -1						-- Get govt Age, but use "Anarchy" if the return type isn't valid	
				if iCivGovAge == -1 then iCivGovAge = iStartingGameTurn end
				
				if not pPlayer:IsAlive() then
					 iGovType = GOV_OUT_OF_GAME												-- Default to "Out of Game" for never/non-living civs
				end			
				g_tSavedData.SetValue(sCivDBKey, iCivGovAge)
				dPrint("iDX: " .. iDX .. "     Player: " .. pPlayer:GetCivilizationShortDescription() .. "     Gov Type: " .. g_tGovernment_Types[iGovType][1] .. "     DB Key: " .. sCivDBKey .. "     Gov Start GT: " .. iCivGovAge)						
			end
		end
	end	
end
Events.SequenceGameInitComplete.Add( InitializeGovernmentTable )
										